It's all about the answers!

Ask a question

Upgrading from 4.0.3 to 6.0.3


Avinash Avi (11) | asked Apr 05 '17, 7:11 a.m.

 Hi All,


We are currently in 4.0.3 version and we want to upgrade to 6.0.3.

Problem is 6.0.3 does not support XP anymore, all our build machines are in XP and developers VM is also in XP it is impossible to upgrade those machines.

my question is, 4.0.7 supports SQL 2012 and 6.0.3 supports SQL 2012, can we use same DB in different application servers?

Regards,
Avi

2 answers



permanent link
Lily Wang (4.9k714) | answered Apr 06 '17, 12:58 a.m.

I don't understand why you wan to connect both CLM 4.0.7 and 6.0.3 to the same database.
But you can not connect two active application servers to the same database at the same time. One of the server will have incorrect repository lock ID.
In addition, after you upgrade the server to 6.0.3 the database schema will also be upgraded as well. You will get version mismatch error if connecting 6.0.3 database using 4.0.7 application server.

If your clients have to be run on Windows XP, you may consider to upgrade to CLM 5.0.2, which supports RTC 4.0.x client and build toolkit.


permanent link
Matthew More (407) | answered Apr 06 '17, 3:00 a.m.

 Avi,

From my knowledge all servers need to be in the same versions
As I understand you want to keep your db server in 4.0.7 version and app servers upgrade to 6.0.3 right ?

Your answer


Register or to post your answer.